Subject: Newsspy 1.0, an automatic news-reader/retrieval system
From: Michael Hofmann <[email-masked]>
Date: Sun, 20 Mar 1994 22:24:26 GMT
Newsgroups: comp.os.linux.announce

I have uploaded newsspy-1.0 to my ftp-server. You can get it via anonymous
ftp from

	134.93.129.91: /pub/newsspy/*

Newsspy was developed under Linux, but it should run on all UNIX-systems
where Tcl runs.

Following is the official announcement:

---------------------------------------------------------------------------

Newsspy is a program which automatically connects to a newsserver and scans
the article headers of selected newsgroups for special keywords. If a match
is found, newsspy will read the article and append it to a given file. With
cron, this process can be automated and the retrieved files can be sent via
email to the user.

This program is helpful

   - For software developers who want to collect and answer articles about
     their software. Many newsgroups (like comp.os.linux.help) have
     hundreds of new articles per day and it consumes too much time to scan
     through the groups by hand every day.

   - For people who write flames or "letters from god" on newsgroups and
     want to collect all the answers :-)

   - If you want to be informed when articles about a special theme or from
     special authors appear.

   - If you want to read news with your favorite e-mail program and need a
     news 2 mail converter.

Requirements

   - Tcl
   - A local 119 newsserver. (If you don't know what 119 means, this is not
     the program you want to use! I'll explain later why!)

Who should (not) use this program?

   - Newsspy is a relatively small program written in Tcl and everybody who
     has experience with Tcl and the way the internet works will be able to
     understand the program within minutes.

     You will need to customize newsspy to your local network. Since you
     can really hurt the internet with newsspy if you don't know what you're
     doing (for example use a newsserver on another continent and congest
     the network with megabytes of data), I want you to use this program
     only if you have experience with TCP/IP and newsservers. Therefore the
     documentation is such that newbies will not be able to use newsspy.
     (Sorry)

Copyright, Copying and License:

   Newsspy is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.